<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns:tns="http://orei.inra.fr/configuration"
        targetNamespace="http://orei.inra.fr/configuration" elementFormDefault="qualified"
        xmlns="http://www.w3.org/2001/XMLSchema"
>
    <element name="configuration" type="tns:configurationType"/>
    <complexType name="configurationType">
        <annotation>
            <documentation>identifie l'application portail parent</documentation>
        </annotation>
        <sequence>
            <element name="coreConfiguration" type="tns:coreConfigurationType"/>
            <element name="localizationConfiguration" type="tns:localizationConfigurationType"/>
            <element name="metadataConfiguration" type="tns:metadataConfigurationType"/>
            <element name="datatypeConfiguration" type="tns:datatypeConfigurationType"/>
            <element name="extractionConfiguration" type="tns:metadataConfigurationType"/>
            <any processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
        </sequence>
    </complexType>
    <complexType name="abstractConfigurationType">
        <annotation>
            <documentation>abstract element configuration l'application portail
                parent
            </documentation>
        </annotation>
    </complexType>
    <complexType name="extractionConfigurationType">
        <complexContent>
            <extension base="tns:abstractConfigurationType">
                <annotation>
                    <documentation>configuration des extractions de l'application
                        l'application portail parent
                    </documentation>
                </annotation>
                <sequence>
                    <element name="extraction" type="tns:extraction" maxOccurs="unbounded"
                             minOccurs="0"
                    >
                    </element>
                </sequence>
            </extension>
        </complexContent>
    </complexType>
    <complexType name="coreConfigurationType">
        <complexContent>
            <extension base="tns:abstractConfigurationType">
                <sequence>
                    <any processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
                </sequence>
            </extension>
        </complexContent>
    </complexType>
    <complexType name="localizationConfigurationType">
        <complexContent>
            <extension base="tns:abstractConfigurationType">
                <sequence>
                    <any processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
                </sequence>
            </extension>
        </complexContent>
    </complexType>
    <complexType name="metadataConfigurationType">
        <complexContent>
            <extension base="tns:abstractConfigurationType">
                <sequence>
                    <any processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
                </sequence>
            </extension>
        </complexContent>
    </complexType>
    <complexType name="datatypeConfigurationType">
        <complexContent>
            <extension base="tns:abstractConfigurationType">
                <sequence>
                    <any processContents="skip" minOccurs="0" maxOccurs="unbounded"/>
                </sequence>
            </extension>
        </complexContent>
    </complexType>
    <complexType name="outputDisplayType">
        <sequence>
            <element name="class" type="string" maxOccurs="1" minOccurs="1">
            </element>
        </sequence>
        <attribute name="number" type="integer" default="0" use="optional"/>
    </complexType>
    <complexType name="nameFileCheckerType">
        <sequence>
            <element name="class" type="string" maxOccurs="1" minOccurs="1">
            </element>
        </sequence>
    </complexType>
    <complexType name="extraction">
        <sequence>
            <element name="name" type="tns:name" minOccurs="1" maxOccurs="unbounded">
                <annotation>
                    <documentation>Le type de l'extraction (en général le thème). Ce
                        nom permettra de générer le type d'extraction'
                    </documentation>
                </annotation>
            </element>
            <element name="description" type="string" maxOccurs="1"
                     minOccurs="0"
            >
                <annotation>
                    <documentation>Le type de l'extraction (en général le thème).
                    </documentation>
                </annotation>
            </element>
            <element name="extractor" type="string" minOccurs="1">
                <annotation>
                    <documentation>Le nom complet de la classe Recorder associé à ce
                        type de données
                    </documentation>
                </annotation>
            </element>
            <element name="outputDisplay" type="tns:outputDisplayType"
                     maxOccurs="unbounded" minOccurs="0"
            >
            </element>
        </sequence>
    </complexType>
    <complexType name="internationalizableString">
        <simpleContent>
            <extension base="string">
                <attribute name="language" type="string" default="fr"/>
            </extension>
        </simpleContent>
    </complexType>
    <complexType name="name">
        <simpleContent>
            <extension base="tns:internationalizableString">
            </extension>
        </simpleContent>
    </complexType>
    <complexType name="description">
        <simpleContent>
            <extension base="tns:internationalizableString">
            </extension>
        </simpleContent>
    </complexType>
    <complexType name="localizations">
        <sequence>
            <element name="localization" type="tns:localization"
                     maxOccurs="unbounded" minOccurs="1"
            >
            </element>
        </sequence>
        <attribute name="defaultLanguage" type="string" default="fr"/>
    </complexType>
    <complexType name="localization">
        <attribute name="language" type="string" default="fr"/>
    </complexType>
</schema>